drio
Technical ReviewAPI Reference

Discovery

OAuth and protected-resource metadata.

GET
/.well-known/oauth-authorization-server

Response Body

application/json

curl -X GET "https://mcp.getdrio.com/.well-known/oauth-authorization-server"
{
  "issuer": "https://mcp.getdrio.com",
  "authorization_endpoint": "https://mcp.getdrio.com/api/v1/auth/authorize",
  "token_endpoint": "https://mcp.getdrio.com/api/v1/auth/token",
  "registration_endpoint": "https://mcp.getdrio.com/api/v1/auth/register",
  "response_types_supported": [
    "code"
  ],
  "grant_types_supported": [
    "authorization_code",
    "refresh_token"
  ],
  "code_challenge_methods_supported": [
    "S256"
  ],
  "token_endpoint_auth_methods_supported": [
    "none"
  ],
  "scopes_supported": [
    "openid",
    "profile",
    "email"
  ]
}
GET
/.well-known/oauth-protected-resource

Response Body

application/json

curl -X GET "https://mcp.getdrio.com/.well-known/oauth-protected-resource"
{
  "resource": "https://mcp.getdrio.com",
  "authorization_servers": [
    "https://mcp.getdrio.com"
  ],
  "scopes_supported": [
    "openid",
    "profile",
    "email"
  ]
}